import * as $dara from '@darabonba/typescript';
export declare class DescribeScreenScoreThreadResponseBodyData extends $dara.Model {
    /**
     * @remarks
     * The trends of the scores on the security dashboard.
     */
    socreThread?: string[];
    /**
     * @remarks
     * The dates of the scores on the security dashboard.
     */
    socreThreadDate?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeScreenScoreThreadResponseBody extends $dara.Model {
    /**
     * @remarks
     * The returned data.
     */
    data?: DescribeScreenScoreThreadResponseBodyData;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * D03DD0FD-6041-5107-AC00-383E28F1****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
